Name:           papercut
Version:        0.1.1
Release:        3%{?dist}
Summary:        A command line Rock, Paper, Scissors game

Group:          Amusements/Games
License:        GPLv3+
URL:            http://code.google.com/p/koolkit/wiki/papercut
Source0:        http://koolkit.googlecode.com/files/%{name}-%{version}.tar.gz
Patch0:         %{name}-cflags.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)


%description
papercut is command line based Rock, Paper, Scissors game for Unix based 
operating systems like Linux, BSD etc. User can play the game by entering
users choice that is either, Rock (R or r), Paper (P or p), Scissors (S or s).
papercut also stores user statics. i.e. number of wins, losses and draws. 

%prep
%setup -q
%patch0 -p0 -b .cflags

%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING NEWS README
%{_bindir}/papercut


%changelog
* Thu Mar 08 2010 Damien Durand <splinux@fedoraproject.org> 0.1.1-3
- Apply patch from Ville Skytta, fix cflags (#571000)

* Thu Feb 16 2010 Damien Durand <splinux@fedoraproject.org> 0.1.1-2
- Remove unneeded space character in description

* Sat Feb 13 2010 Damien Durand <splinux@fedoraproject.org> 0.1.1-1
- Initial release
